import { OperatorFunction } from 'rxjs';
type BuildDownstreamItem<UpstreamType, DownstreamType> = (upstreamItem: UpstreamType, key: keyof any) => DownstreamType;
export declare function mapAndCacheElements<UpstreamType, DownstreamType>(buildCacheKey: (upstreamItem: UpstreamType, key: keyof any) => any, buildDownstreamItem: BuildDownstreamItem<UpstreamType, DownstreamType>): OperatorFunction<UpstreamType | null | undefined, DownstreamType[]>;
export {};
